Recommended Environment

Recommended operating environments (new UI) for Cloud Services

Service name Recommended screen resolution Supported web browsers Hardware requirements
Fleekdrive XGA(1024×768)~1080p(1920×1080) Internet Explorer 11

Following latest stable versions are supported:

Microsoft Edge

Google Chrome

Firefox

Mac Safari

None

*Fleekdrive was developed for usage from client PCs. Web browsers from server operating systems are the same as indicated above.

Recommended operating environments (old UI) for Cloud Services

Service name Recommended screen resolution Supported web browsers Hardware requirements
Fleekdrive XGA(1024×768)~1080p(1920×1080) Internet Explorer 9 *

Internet Explorer 11

Following latest stable versions are supported:

Microsoft Edge

Google Chrome

Firefox

Mac Safari

In compliance with requirements of each operating system
*To use Fleekdrive for Salesforce in Internet Explorer 9, Microsoft Silverlight is required.

*Fleekdrive will not end support for Internet Explorer 9 until the end of April, 2017. For details, please refer to the Lifecycle Policy.As a result of a change to the support policy for Internet Explorer taking effect on Jan. 12, 2016, only the most current version of Internet Explorer 10 available for a supported operating system will receive supports from Microsoft.
*Both Fleekdrive and Fleekform were developed for usage from client PCs. Web browsers from server operating systems are the same as indicated above.

Recommended operating environments for Client Application

Service name Supported operating systems Hardware requirements
Fleekdrive Desktop Windows 7 (x64,x86)

Windows 8.1 (x64,x86)

Windows 10 (x64,x86)

Latest stable version of Mac OS up to two generations prior to the current model is supported (up to OS X 10.10 Yosemite)
Operating conditions on terminals of Windows OS & Mac OS shall comply with operating system requirements of each vendor.
Fleekdrive File Server Windows Server 2012

Windows Server 2012 R2

Windows Server 2016
Fleekdrive Mobile iOS8 or later Operating conditions shall comply with operating system requirements of Apple.

Please try it